Install latest stable LLDB on Ubuntu 18.04

Hi, how can I install the latest stable LLDB on Ubuntu 18.04 preferably using pre-built binaries?

Did the sudo apt install lldb not work out?
I am not an Ubunutu user but packages are listed here: Ubuntu – Package Search Results -- lldb, you can try.

For Ubuntu 18.04, sudo apt install lldb installs version 6.0 which is quite old.

However I just discovered that you can install a later version by doing:
sudo apt install lldb-10. :slight_smile:

I stumbled on this website which is useful to find whats available: https://pkgs.org/search/?q=lldb

1 Like

There is also https://apt.llvm.org/ or you can download directly from the releases page on Github Release LLVM 13.0.0 · llvm/llvm-project · GitHub.

Though some platforms might not include lldb if it’s an older release or whoever built it had reason to disable it.